{
    "name": "libriciel/asalae2",
    "description": "SAE",
    "homepage": "https://www.libriciel.fr/asalae/",
    "type": "project",
    "license": "AGPL-3.0-only",
    "minimum-stability": "dev",
    "require": {
        "php": "~8.3",
        "ext-PDO": "*",
        "ext-SimpleXML": "*",
        "ext-curl": "*",
        "ext-dom": "*",
        "ext-fileinfo": "*",
        "ext-gd": "*",
        "ext-http": "*",
        "ext-iconv": "*",
        "ext-intl": "*",
        "ext-json": "*",
        "ext-ldap": "*",
        "ext-libxml": "*",
        "ext-mbstring": "*",
        "ext-openssl": "*",
        "ext-pgsql": "*",
        "ext-posix": "*",
        "ext-raphf": "*",
        "ext-soap": "*",
        "ext-xdebug": "*",
        "ext-xml": "*",
        "ext-xsl": "*",
        "ext-zip": "*",
        "ext-zmq": "*",
        "adldap2/adldap2": "^10.0",
        "buzzingpixel/twig-switch": "^1.0",
        "cakephp/authentication": "^3.0",
        "cakephp/authorization": "^3.0",
        "cakephp/cakephp": "~5.0",
        "cakephp/migrations": "^4.3",
        "cakephp/plugin-installer": "^2.0",
        "cakephp/repl": "^2.0",
        "cboden/ratchet": "^0.4.4",
        "composer/semver": "^1.4",
        "dracoblue/craur": "~2.1.0",
        "fakerphp/faker": "^1.23.1",
        "flowjs/flow-php-server": "~1.0.0",
        "friendsofcake/cakephp-csvview": "^5.0",
        "guzzlehttp/guzzle": "^7.5.0",
        "imagine/imagine": "^1.3.5",
        "libriciel/asalae-assets": "dev-master",
        "libriciel/asalae-core": "dev-php83",
        "libriciel/cakephp-beanstalk": "dev-php83",
        "libriciel/cakephp-datacompressor": "dev-master",
        "libriciel/cakephp-filesystem": "dev-master",
        "libriciel/cakephp-login-page": "dev-master",
        "libriciel/cakephp-state-machine": "dev-php83",
        "libriciel/cakephp4-bootstrap-helpers": "dev-php83",
        "libriciel/cakephp5-acl": "dev-master",
        "libriciel/file-converters": "dev-php83",
        "libriciel/file-validator": "dev-php83",
        "libriciel/seda2pdf": "dev-php83",
        "libriciel/trusted-timestamps": "~1.1",
        "mobiledetect/mobiledetectlib": "~2.8.0",
        "pcov/clobber": "^2.0",
        "pda/pheanstalk": "~3.1.0",
        "phpoffice/phpspreadsheet": "^1.14",
        "sabberworm/php-css-parser": "^8.4",
        "softcreatr/jsonpath": "^0.7",
        "symfony/console": "^7.1",
        "symfony/polyfill-uuid": "^1.22",
        "symfony/var-dumper": "^3.3",
        "twig/intl-extra": "^3.3",
        "twig/twig": "^3.3"
    },
    "require-dev": {
        "ext-pcov": "*",
        "cakephp/bake": "^3.1",
        "libriciel/file-converters-tests": "dev-master",
        "libriciel/file-validator-tests": "dev-master",
        "phpunit/phpunit": "^10.1.0",
        "squizlabs/php_codesniffer": "~3.10.3",
        "brianium/paratest": "^7.4",
        "dmore/chrome-mink-driver": "^2.9"
    },
    "suggest": {
        "markstory/asset_compress": "An asset compression plugin which provides file concatenation and a flexible filter system for preprocessing and minification.",
        "phpunit/phpunit": "Allows automated tests to be run without system-wide install.",
        "cakephp/cakephp-codesniffer": "Allows to check the code against the coding standards used in CakePHP."
    },
    "autoload": {
        "psr-4": {
            "Asalae\\": "src",
            "Asalae\\Test\\": "tests"
        }
    },
    "scripts": {
        "post-update-cmd": [
            "vendor/bin/asalae-assets-installer webroot/ >/dev/null",
            "vendor/bin/libriciel-login-assets-installer webroot/"
        ],
        "check": [
            "@test",
            "@cs-check"
        ],
        "cs-check": "vendor/bin/phpcs --colors -p --runtime-set ignore_warnings_on_exit true --standard=vendor/libriciel/asalae-core/asalae_coding_standards.xml ./src ./templates",
        "cs-check-single": "vendor/bin/phpcs --colors -p --runtime-set ignore_warnings_on_exit true --standard=vendor/libriciel/asalae-core/asalae_coding_standards.xml",
        "cs-fix": "vendor/bin/phpcbf --colors --standard=vendor/libriciel/asalae-core/asalae_coding_standards.xml ./src ./tests ./templates",
        "cs-fix-single": "vendor/bin/phpcbf --colors --standard=vendor/libriciel/asalae-core/asalae_coding_standards.xml",
        "cs-check-core": "@cs-check-single vendor/libriciel/asalae-core/src",
        "cs-fix-core": "@cs-fix-single vendor/libriciel/asalae-core/src vendor/libriciel/asalae-core/tests",
        "test": "vendor/bin/paratest --log-junit=logs/junit.xml --coverage-clover=logs/coverage.xml",
        "mink": "vendor/bin/mink --headless --user-data /tmp/test/chrome --log logs/browser.log"
    },
    "prefer-stable": true,
    "config": {
        "allow-plugins": {
            "*": true
        }
    }
}
